Zeus Help - Contents

ZEUS 3.x ZEUS Help
Home
for Windows
Contents
1. Getting Started - 'A Quick Guide'
2. Introduction
2.1 | Overview
2.2 | What's New?
2.3 | Installation
2.4 | Connecting the Hardware
2.5 | Creating a 'Package'
2.6 | The Interface
2.7 | Running a Test
2.8 | Command Line Parameters
3. Definitions
3.1 | Overview
3.2 | ARINC 429
3.3 | ARINC 573/717
3.4 | MIL-STD 1553
3.5 | Data Items
4. Transmit
4.1 | Overview
4.2 | ARINC 429
4.3 | ARINC 573/717
4.4 MIL-STD 1553
4.4.1 | Bus Controller
4.4.2 | RT Emulator
4.5 | Sets
4.6 | Import & Export of Transmit Data
5. Display
5.1 | Overview
5.2 | Page Groups
5.3 | Pages
5.4 Page Items
5.4.1 | Textbox
5.4.2 | Button
5.4.3 | Label
5.4.4 | Panel
5.4.5 | Shape
5.4.6 | Picture
5.4.7 | Chart
5.4.8 | LED
5.5 | Editing Page Items
5.6 | Data View
5.7 | Mark Event
6. Tools
6.1 | Logging
6.2 | Playback
6.3 | Search
6.4 | Custom Add-ins
6.5 | Options
6.6 | API
7. Further Help
7.1 | Support
7.2 | Demo
7.3 | Step by step Guides

1.0f | Copyright© 2003-2010 Airflair Ltd.


Zeus Help - Getting Started

Contents > Getting Started
1. Getting Started - 'A Quick Guide'

Step 1 - Installation

  1. Insert the installation CD and Install the ZEUS software.
  2. Connect the SOAR device via the supplied USB cable.
  3. Install the USB drivers when prompted.
  4. Connect the SOAR device to your data bus via the connectors provided.
  5. Double click the ZEUS icon on the desktop to launch ZEUS.

Step 2 - Create Package

  1. Hit the 'Create New Package' button.
  2. Enter the package details and leave the Hardware channels as default.
  3. Name your data bus elements (channel, labels, messages etc.)
  4. Create data items for the parts of the data bus you wish to examine.
  5. 'Drag' the data items onto the default display page.
  6. Label and position page items as appropriate.

Step 3 - Run Test

  1. Hit F5 (or Start Test from the Run Menu or Toolbar) to start the test.
  2. That's it! You will see the items on the display 'come alive' with your data bus data!

Going Further

  1. Follow the step by step guides to help further explore the features of ZEUS.
  2. Use the Display guide for help on receiving and presenting your data.
  3. Use the Transmit guide for help on data transmission.
  4. Explore other Tools and features which are available.
  5. Contact us if you're having problems with any of the ZEUS features or feel something is missing!


Zeus Help - Introduction

Contents > Introduction
2. Introduction

2.1 Overview

The ZEUS software application is a companion to the SOAR range of USB data bus analysers, providing an 'out of the box' solution to monitoring, stimulating and logging a variety of avionics data bus types.

2.2 Installation

Figure 1 To install the ZEUS software, simply insert the Installation CD into your chosen Windows XP/Vista machine and wait for the installer to auto run (if not double click setup.exe file on the root folder of the CD).

After a few moments you will be greeted with installation dialog (Figure 1), hit 'Next' to continue, read & accept the license agreement and finally select an installation folder for the application files.

A 'Zeus' folder will also be created in your 'My Documents' folder, this is where package files and log files will be stored.

2.3 What's New?

ZEUS 3.x offers improvements on usability, robustness and capability, incorporating the following key new features:

1. | The old Editor and Runtime applications have now been merged into one single interface for defining and running Zeus package tests.
2. | The Zeus package XML format has been redesigned in order to reduce its size and increase extensibility. Compatibility exists with the older packages, however these will be automatically converted to the new format upon saving (.zpa extension).
3. | Definitions in the Package Explorer tree now show all data bus 'items' that logically exist when defining a data bus channel, for example when creating an ARINC 429 Rx Channel, all 256 Labels will be shown by default, allowing the user to select which one they wish to define in more detail. The Package Explorer trees can be filtered by press 'F' or selecting 'Filter' from the tree toolbar, in order to shown only items that have been defined (i.e. given names or whose properties have changed from the default).
4. | No longer do have to define data items in order to get your test up and running, page items can now be linked directly to data bus items such as ARINC 429 labels or MIL-STD 1553 words displaying its raw value or other properties as available.
5. | The Page Editor now supports multi-select of page items for moving, resizing and changing of properties to speed up page creation.
6. | Cut, Copy and Paste is now supported for most package items, making definition of your data bus, transmit cycles and pages a lot easier and familiar.
7. | Extra page item controls including: LEDs & Charts (for tracking multiple data sources)
8. | Conditional page item formatting, allowing your pages to change appearance based on the data received.
9. | Log Event Triggers which allow an event file to be created which points to areas of interest within a log file for later retrieval/analysis.
10. | Bad Parity indicators on all page item displays.
11. | Custom add-ins to display bespoke graphics/displays.

2.4 Connecting the Hardware

Each of the SOAR hardware devices are connected to the PC via a standard USB cable. The connection uses USB 1.1 and connects to any of the PC's USB ports and the rear of the SOAR unit. Once connected, Windows should identify the new device and begin the 'Add New Hardware Wizard'.

If prompted to use 'Windows Update' to get the latest driver for the SOAR device, select 'No, not at the time' and then select the drivers from the installation CD in a folder called 'SOAR Driver'. As these drivers have not been signed by Microsoft you will receive a warning to that effect, however, you can simply hit 'Continue' to complete the installation.

Note that the ZEUS software will work without installing a hardware device or its drivers, however you will not be permitted to start a live test (although on-screen playback will be available).

2.5 Creating a 'Package'

The quick way to create a package for your SOAR device is to connect it to the PC, load the ZEUS software and hit the 'Create Package' button on the ZEUS Start page. This will load the New Package dialog with your connected device as the 'Target Device' for the new package. The Target Device is the type of SOAR device to which the package is targeted, the appropriate channel types and numbers are created as a result and warnings will be given if trying to use this package against a different SOAR device (leaving the Target Device blank will also prevent these warnings).

When creating a package you can record the author, company, project name and brief description of the package file on the General tab as well as altering channel types and numbers on the Hardware tab. It is recommended that you keep the default settings for the chosen hardware device. Finally, hitting 'OK' will create your package and take you into ZEUS, a filename will be given to the package when first saving it.

Opening an existing package can be done by simply double clicking on the package file from within Windows or hitting the 'Open Package...' button on the Start Page (or selecting one of the most recently used packages from the list provided).

2.6 The Interface

There four key areas to the main ZEUS interface that are applicable to all SOAR devices and data bus types. These include:

  • Start Page
    This is the initial page loaded when starting ZEUS. It shows the four commonly used tasks: Create Package, Open Package, Data Bus Search and Custom Add-in. It also shows a drop down of the connected SOAR devices (top right of screen), select which one you wish to be active in this instance of ZEUS (only one device maybe active at any one time). A 'refresh' link is also provided to rebuild the connected SOAR device list, should you have plugged in a new device after the ZEUS package has been started.

    When using multiple devices in your setup you MUST run a separate instance of ZEUS for each device you want use. Simply start ZEUS and select the device from the drop down list, then start another instance of ZEUS and select the next device you wish to use etc.
  • Package Explorer
    The Package Explorer is used for navigation around your package and its configuration and by default is found on the left of the screen. It is divided into four main areas: Definitions - the definition of your data buses; Transmit - the definition of any output data bus traffic; Display - your display page appearance and design and Data - Detailed view of selected message/words on your display pages. Each of the sections represents its data in the form of a Tree (with the exception of the Data tab), the Definitions and Transmit explorers both have a data bus type drop down at the top and all sections provide a quick access toolbar and context menus to perform some of the most common functions (see the Definitions and Transmit sections for data bus specific information).

    The Package explorer can be docked on either the left or right hand side of the screen and can also 'Auto Hide' by clicking the pin icon [image] at the top of the package explorer window. Each of the three main sections can also be 'separated' from the main package explorer window by clicking and dragging the section tab at the bottom of the package explorer window to one of the displayed docking areas. This can be particularly useful when you want to drag items from one tree to another, for example creating transmit items can be done by simply dragging data definitions on to the transmit tree.
  • Display Page
    The display page area is by default on the right of this display and shows the display pages that you create to represent your data bus data. Whilst a test is not running all display pages will be displayed with a page edit grid which can be used for aligning controls. During a test run the grid will not be shown and the controls will 'come alive' with the data being fed into the connected SOAR device (see the Display section for more detail).

    Display pages can either be Docked or Undocked. Docked is the default arrangement and pages are kept within the bounds of the main ZEUS MDI, whereas undocked, the display pages have their own window and can be moved/placed anywhere the user requires, this can be particularly useful for multiple screen setups where a different display page can be used for different monitors. The 'View' menu options and F12 hotkey provide the docking functionality. Undocked Pages can also changed to 'Full Screen' to maximise the screen area available (F11 for full screen mode).
  • Property Dialogs
    Throughout the ZEUS application property dialogs exist for each of the package elements, these follow the common interface rules of standard windows dialogs.

Other interface elements exist but these are covered in separate sections throughout this guide.

2.7 Running a Test

When your package is all setup and you are ready to run your first test, hit 'Start Test' from the tool bar/main menu or press F5 to begin the test. This will load the 'Test Configuration' dialog which can be used to perform some last minute configuration of your test run by enabling/disabling transmitters and/or selecting all data bus messages for logging.

Once you have selected your configuration, hit 'OK' and the test will begin. Whilst running, notice the Test time in the bottom right of the main status bar, this will show you the current state of the test and its run duration.

To stop the test simply hit 'Stop Test' from the main menu/toolbar or press F6. Note: stopping a test will also stop any active logging.

2.8 Command Line Parameters

The Zeus application accepts a number of command line parameters which can help automate the running of a Test procedure. The following table outlines the command parameters available:

-f | Package File | Specifies a package file to load as default. You can specify an absolute path to a package file or simply the package filename (in which case the package must be found in the default package folder). -f "ARINC429 Demo.zpa"
-s | Suppress Splash Screen | Suppresses the application splash screen. -s
-e | Enable Logging | Logging is enabled on start-up, only messages which have been previously flagged for logging will be logged. If no log file name is specified then a default name will be created. -e
-l | Log File Name | Specify a log file name. You can specify an absolute path for a log file or simply a log filename (in which case the log file will be saved in the default Zeus log folder). -l "ARINC429 Demo.log"
-r | Autorun | Causes the test to be run after loading a valid package. It will use all the run settings of the package when last saved. -r
-d <serialno> | Preferred Device | Specify a preferred device (by serial number) when starting the ZEUS software. If found this device will be set as 'active' when the software starts. -d 071702
-h | Hidden | Run the application minimised. -h
-x | Kill ZEUS | The -x command is used to close existing ZEUS instances cleanly. Using this parameter does not cause an instance of ZEUS to start, instead it is used to close other, already running, instances of ZEUS. When calling ZEUS with the -x parameter all other parameters are ignored apart from the -d, which can be used to target a particular instance of the ZEUS to close, based on the currently active device. -x -d 071702


Zeus Help - Definitions

Contents > Definitions
3. Definitions

3.1 Overview

Data Definitions include labelling and configuring your interpretation of the data bus which you are analysing. Each of the supported data bus types and their method of definition are described in detail below, all have different characteristics and this help file assumes some familiarity with the data buses chosen. All data bus types have data items which can be used to extract and convert raw data bus information and present it in engineering units (see Data Items).

Configuration of all data definitions is done within the Definitions tree of the Package Explorer.

3.2 ARINC 429

The Channel is the top level object for ARINC 429 definitions. There are two types of ARINC 429 channel: Receive (Rx) and Transmit (Tx). For purpose of definitions both channel types are identical and the same definition rules apply.

Channel properties can be examined by selecting 'Properties' from the channel context menu or by hitting F4 when a channel is selected in the definitions tree. Rx Channel properties include Channel Policy parameters for filtering the type of data retrieved from the connected SOAR unit, by default all data is returned. Tx Channel properties include: Speed settings for High or Low speed ARINC 429 and finer tune speed settings in kbps. If supported by the connected SOAR unit it is also possible to adjust amplitude of the Tx Channel or configure it to operate at 50Khz in High Speed Mode - otherwise know as Russian ARINC. Finally each TX Channel has a check box to flag whether the channel is enabled or disabled, a disabled channel will not output any data.

Each ARINC 429 channel contains 256 Labels which can be seen by expanding the Channel node in the Definitions part of the Package Explorer (note you can use the Filter option (F) to hide all non-defined labels). Each label object has the follow properties: SDI Values - denotes whether the label uses the SDI field to distinguish data received (up to four separate SDI values can be created); SSM Values - specifies a text string for each of the four SSM values; and a logged flag. If SDI values are specified then each subsequent data item defined under this label will have an SDI node created under it so that you can drag a specific SDI value for that data item on to the display.

The Label properties dialog also displays a Statistics tab which holds runtime details of the selected label (i.e. number of times label has been received, its age etc.).

A label can have any number of data items defined under it, select 'Add Data Item...' from the label context menu.

[see Guide 1]

3.3 ARINC 573/717

The Channel is the top level object for ARINC 573/717 definitions. There are two types of ARINC 573/717 channel: Receive (Rx) and Transmit (Tx). For purpose of definitions both channel types are identical and the same definition rules apply.

Channel properties can be examined by selecting 'Properties' from the channel context menu or by hitting F4 when a channel is selected in the definitions tree. Rx Channel properties include Word Rate - number of words per second the channel can expect to receive.

Each ARINC 573/717 channel contains 4 Subframes which can be seen by expanding the Channel node in the Definitions part of the Package Explorer. Under each subframe are a number of words based on the word rate, note you can use the Filter option (F) to hide all non-defined words. Each word object has only one property and that is a flag to say whether the word is logged or not.

The Word properties dialog also displays a Statistics tab which holds runtime details of the selected word (i.e. number of times word has been received, its age etc.).

A word can have any number of data items defined under it, select 'Add Data Item...' from the word context menu.

[see Guide 3]

3.4 MIL-STD 1553

Please read our SOAR MIL-STD 1553 Overview to understand the basic features of our SOAR device's 1553 support.

The Channel is the top level object for MIL-STD 1553 definitions. A Channel always acts as a Bus Monitor and can optionally act as a Bus Controller and/or an RT Emulator depending on what is supported by the hardware.

Channel properties can be examined by selecting 'Properties' from the channel context menu or by hitting F4 when a channel is selected in the definitions tree. Channel properties include: Check boxes to flag if the channel supports Bus Control and RT Emulator functions; Amplitude and RT Response Time (for RT Emulation) - these two settings are not currently implemented; Mode Code SA - the sub address on which mode code are expected; Channel Policy parameters for filtering the type of data retrieved from the connected SOAR unit; and other device specific properties (see hardware documentation).

Each MIL-STD 1553 channel contains 32 RTs (Remote Terminal) which are numbered 00 to 31, 31 being the broadcast RT which has no Tx Message definitions. There are no RT Properties except for RT Emulation properties which include: the emulated Bus Half (A, B or A & B); and the make up of the emulated status word. RTs can be renamed similar to that of Channels and can also be copied pasted to other RT locations for quick moving of definitions.

Each RT has three groups of message types: Receive (Rx) Messages, Transmit (Tx) Message and Mode Codes. The Rx and Tx message types have 32 messages each, numbered sub address 01 to 30 (sub address 0 and 31 are reserved for mode code activity). 32 Mode Codes also exist with a mixture of Rx and Tx Mode Code types - see your MIL-STD 1553 documentation for details on mode codes. All message types have no properties except for a flag to indicate if the message is logged.

The Rx and Tx messages have a total of 32 data word objects which make up the message, numbered 00 to 31 (a couple of mode code messages also have a single data word). These data words simply have a name with no properties (and no property dialog) but are used to help define the position of your data items within a message

Properties for RTs and Messages can be reached in the same way as channel properties, F4 or 'Properties' from the appropriate context menu. The Message properties dialog also displays a Statistics tab which holds runtime details of the selected message (i.e. number of times message has been received, its age etc.).

A word and therefore a message, can have any number of data items defined under it, select 'Add Data Item...' from the word or message context menu. A MIL-STD 1553 Data Item has two extra properties, over and above a normal data item: the word index to which it belongs (i.e. it position within the message) and a flag to identify it as a double word data item. A double word data item uses two of the message's words to perform its data item conversion to engineering units (the words used are consecutive starting from the data item's word index value)

[see Guide 5]

3.5 Data Items

Data Items are interpretations of data bus messages using engineering unit conversions. Data Items can be created on each of the following data bus elements:

  • ARINC 429 Labels - 32 bits - 22 bits available
  • ARINC 573/717 Words - 12 bits available
  • MIL-STD 1553 Messages/Words - 16 bits available (32 bits for double words)

The data item format is identical for each data type, however the available number of bits (see above) which can be used for conversion, will vary. Data Items can be created by selecting 'Add Data Item..' from the context menus of the above data bus elements. The diagram opposite shows a ARINC 429 data item, it includes the following properties (not all properties will be visible depending on the conversion type selected - for example an enumerated list conversion type will not have an MSB Weight or Precision) :

  • Conversion - The conversion formula used (see table below)
  • Units - The units of measure used for display purposes (if applicable).
  • MSB Weight - the value of the most significant bit (if applicable).
  • Precision - the number of decimal places the converted data item will show (if applicable).
  • Positive & Negative - the positive and negative symbols used when displaying the value (if applicable).
  • MSB - The MSB bit position within the message
  • Length - The length (in bits) of the part of the message to use in the conversion starting at the MSB.
  • Sign Pos - The position of the sign bit within the word (if applicable).

At the bottom of Data Item dialog is a graphical representation of the message and the type of each of its bits. This can be used to alter the definition of the data item by dragging the MSB, LSB or sign bit to the appropriate places within the message.

The table below shows the currently supported conversion types and their data bus type support:

Conversion Type | ARINC 429 | ARINC 573/717 | MIL-STD 1553
Two's Complement |  |  |
Signed Binary |  |  |
Unsigned Binary |  |  |
BCD (No Sign) |  |  |
BCD (SSM Sign) |  |  |
Discrete |  |  |
Enumerated List |  |  |
Hex |  |  |
Decimal |  |  |
Raw Binary |  |  |
LAT Sign |  |  |
LONG Sign |  |  |
Bit 18 = 0.05 |  |  |
Bit 14 = 0.5 |  |  |
+100 |  |  |
Date\Flight Leg |  |  |
BCD Time |  |  |
BIN Time |  |  |
Date |  |  |

Log Event Triggers are created under the 'Triggers' tab. Log event triggers allow you to set conditions on a data item which, when met, will write an entry in an event log file (.evt). The entry will include the time the event occured, the condition that caused the event and a text description entered by the user. Each data item can have up to 16 triggers defined. Simply complete the Trigger table by entering a comparator (=, !=, >=, <=, >, <), the comparator value and a text description which will be recorded in the event log file. Data Item Triggers will only work if logging is enabled.

Please contact us if you have other data conversion type requirements.


Zeus Help - Transmit

Contents > Transmit
4. Transmit

4.1 Overview

The Transmit part of any package definition deals with the configuration of output data onto your data bus. Each of the supported data bus types has a transmit element, all have different characteristics and this help file assumes some familiarity with the data buses chosen.

Configuration of all transmit definitions is done within the Transmit tree of the Package Explorer.

4.2 ARINC 429

ARINC 429 Tx Channels are used to transmit ARINC data, the Transmit tree will show a list of all Tx Channels available. By default all Tx Channels are 'Enabled' (i.e. actively working) you can disable channels individually by un-checking the 'Enabled' check box in the channel's property dialog or selecting the 'Enable' toggle in the channel context menu. You will notice that when a channel has been disabled it will appear 'greyed out' within the Transmit tree.

Each Tx Channel can have up to 8 transmit Sets defined (see Sets). Set properties can be accessed by selecting the Set in the transmit tree and hitting F4 or using the 'Properties' context menu command. Set properties include: Minor Cycle Period - the duration, in milliseconds, of each minor cycle within the set; Interword Gap - the gap in milliseconds between each ARINC 429 word; and Parity - the default parity for all transmitted words (this can be overridden individually via the actual transmit item).

Each set can be broken down into one or more Minor Cycles into which words maybe placed for transmission. A Minor Cycle is added by selecting 'Add Minor Cycle...' from the set context menu. A Minor Cycle has no properties but can be renamed to suit the transmit cycle.

Sequence Items are basically ARINC 429 words which are to be transmitted within a Minor Cycle. Any number of sequence items can be added to a minor cycle, however if the minor cycle period is not large enough to take all your sequence items, they will appeared 'greyed out' and will not be transmitted when run. A sequence item can be created by selecting 'Add Sequence Item..' from the minor cycle context menu or by dragging a label definition from the Data Definitions tree onto the appropriate minor cycle tree node.

Sequence Item properties include: Source - The label you wish to transmit; SDI and SSM - the SDI and SSM values you wish to transmit, if specified; Raw - the raw word value (note that the label, parity, SSM and SDI bits may be fixed and therefore cannot be changed by altering the raw value); Parity - the transmitted parity for this word (if left as 'Set Parity', the parent set's parity will be used); and finally the table at the bottom of the screen shows a list of all the defined data items for the selected source message and their value based on the raw value entered. These values can be changed on a data item by data item basis and any changes will be reflected in the raw word value.

A Minor Cycle and Sequence Item can be moved up and down in their position within a set by using the Move context menus commands or CTRL+UP/DOWN. This allows you to re-order your minor cycles and sequence items without re-creating them.

Sets, Minor Cycles and Sequence Items can all be moved around or duplicated using the standard cut, copy and paste commands.

[see Guide 2]

4.3 ARINC 573/717

ARINC 573/717 Tx Channels are used to transmit ARINC data, the Transmit tree will show a list of all Tx Channels available. By default all Tx Channels are 'Enabled' (i.e. actively working) you can disable channels individually by un-checking the 'Enabled' check box in the channel's property dialog or selecting the 'Enable' toggle in the channel context menu. You will notice that when a channel has been disabled it will appear 'greyed out' within the Transmit tree. Tx Channel properties include: Amplitude - an amplitude setting for the output signal measured as a percentage between 20% and 100%; Word Rate - number of words output per second and External Clock - a setting for fine adjustments to the word timings (when an external oscillator is attached to the hardware).

Each Tx Channel can have any number of transmit Sets defined (see Sets).

Transmitting ARINC 573/717 data involves little configuration as the data must be sent as a complete frame (i.e. all four sub frames and their words must be sent). Therefore the sequence items are fixed (at the number of words per sub frame based on the word rate) and cannot be added, deleted or moved.

Sequence Item properties include: Source - The definition word you wish to use when transmitting this sequence item; Sync - a sync pattern signal sent when transmitting, for debug purposes (see hardware manual); Func - reference to a built it function to use instead of the transmit value (currently only an incrementing count function is available); Raw - the raw word value; and finally the table at the bottom of the screen shows a list of all the defined data items for the selected source definition word and their value based on the raw value entered. These values can be changed on a data item by data item basis and any changes will be reflected in the raw word value.

[see Guide 4]

4.4 MIL-STD 1553

A MIL-STD 1553 Channel has potential two different ways of outputting data onto the data bus: when acting as a Bus Controller and/or acting as an RT Emulator. Each is described below:

4.4.1 Bus Controller

A MIL-STD 1553 channel acting as a Bus Controller can be used to stimulate a MIL-STD 1553 data bus, ensure that your hardware supports the Bus Controller functionality before using it. By default the Bus Controller function is 'Enabled' (i.e. actively working) you can disable the Bus Controller by selecting the 'Enable' toggle in the bus controller context menu. You will notice that when the bus controller has been disabled it will appear 'greyed out' within the Transmit tree.

Each Bus Controller can have an unlimited number of transmit Sets defined (see Sets). Set properties can be accessed by selecting the Set in the transmit tree and hitting F4 or using the 'Properties' context menu command. Set properties include: Minor Cycle Period - the duration, in milliseconds, of each minor cycle within the set; and Intermessage Gap - the gap in microseconds between each MIL-STD 1553 message.

Each set can be broken down into one or more Minor Cycles into which messages maybe placed for transmission. A Minor Cycle is added by selecting 'Add Minor Cycle...' from the set context menu. A Minor Cycle has no properties but can be renamed to suit the transmit cycle.

Sequence Items are basically MIL-STD 1553 messages which are to be transmitted within a Minor Cycle, these message are defined by specifying the source and destination (i.e. BC to RT, RT to BC or RT to RT). Any number of sequence items can be added to a minor cycle, however if the minor cycle period is not large enough to take all your sequence items, they will appeared 'greyed out' and will not be transmitted when run. A sequence item can be created by selecting 'Add Sequence Item..' from the minor cycle context menu or by dragging a message definition from the Data Definitions tree onto the appropriate minor cycle tree node.

Sequence Item properties include: Source and Destination parameters - various drop downs for RTs and sub addresses are available for you to define your source and destination targets; Bus - the bus half on which this message will appear; Word Count/Mode Code - the number of words to be transmitted with this message or the actual mode code to transmit (if mode code sub address is selected); and finally the table at the bottom of the screen shows a list of all the defined data items and raw words for the selected source message and their value. These values can be changed on a data item by data item basis and any changes will be reflected in the raw word grid and vice versa.

A Minor Cycle and Sequence Item can be moved up and down in their position within a set by using the Move context menus commands or CTRL+UP/DOWN. This allows you to re-order your minor cycles and sequence items without re-creating them.

Sets, Minor Cycles and Sequence Items can all be moved around or duplicated using the standard cut, copy and paste commands.

[see Guide 6]

4.4.2 RT Emulator

A MIL-STD 1553 channel acting as an RT Emulator can be used to simulate a MIL-STD 1553 RT, outputting the required messages when requested (ensure that your hardware supports the RT Emulator functionality before using it). By default the RT Emulator function is 'Enabled' (i.e. actively working) you can disable the RT Emulator by selecting the 'Enable' toggle in the RT Emulator context menu. You will notice that when the RT Emulator has been disabled it will appear 'greyed out' within the Transmit tree.

Beneath the RT Emulator node in the Package Explorer are listed all the RTs for that channel (except RT 31 which is Broadcast and cannot be emulated). Initially they will all be 'greyed out' (i.e. not emulated), however you can use the Emulated RT context menu and select the 'Emulated' toggle to enabled or disable emulation for the selected RT.

Each Emulated RT can have an unlimited number of Emulation Sets defined (see Sets). RT Emulation Sets can be used to quickly preload emulated RTs with specific sets of data, use the 'Add Set...' context menu item to add an RT Emulation Set. Set properties can be accessed by selecting the Set in the transmit tree and hitting F4 or using the 'Properties' context menu command. RT Emulation Sets have no properties.

After adding a Set you will see the RT's complete set of TX Messages (Sub addresses 1 to 30) and a couple of Tx Mode Codes. You can examine the properties of these messages by hitting F4 or selecting 'Properties' from the context menu. This will allow you to fill in all 32 word values for the message (or a single word value in the case of the Tx Mode Codes) and also set the parity on a word by word basis.

RT Emulation Sets can be moved around or duplicated using the standard cut, copy and paste commands.

[see Guide 7]

4.5 Sets

Most data bus types contain what's called a Set when configuring output data. A Set can be thought of as a collection of configuration parameters and output data that the user can switch between during a test run. It allows the user specify various sets of output test data and quickly and easily move between sets by changing the currently 'active' set (use the Set's 'Make Active' context menu command). Whilst a test is running and the user may have altered some of the output data, it is also possible to 'Reset' the Set using the 'Reset' context menu, this will revert all the set's transmit values back to the last save point of the package.

4.6 Import & Export of Transmit Data

To assist you in defining your transmit data cycles, an import/export facility is provided that simply takes/creates a comma separated (.csv) file detailing the transmit data. The format of the .csv file for each of the supported data buses is given below. Imported data is appended to existing data, so be sure to clear down any existing transmit data if required.

Import and Export of transmit data is currently only supported on ARINC 429 and 573/717 data bus types.

4.6.1 ARINC 573/717

The ARINC 573/717 transmit data can be created using a standard comma separated text file in the following format:
Channel | Set | Subframe | Index | Raw (12bit)
1 - n | 1 - n | 1 - 4 | 0 - 4095 (depending on word rate) | Ascii Hex (FFF)

Example: 1,1,1,0,FFF

4.6.2 ARINC 429

The ARINC 429 transmit data can be created using a standard comma separated text file in the following format (some data can be suffixed with optional parameter information, enclosed in square brackets following the value):
Channel | Set | Minor Cycle | Raw (32bit)
1 - n | 1 - 8 | 1 - n | Ascii Hex (FFFFFFFF)
Optional Speed: High or Low | Optional Minor Cycle Length: 1 - 60,000 Optional Parity: Good or Bad |  | Optional Parity: Good or Bad

Example: 1 [High],1 [50;Bad],1,FFFFFFFF [Good]


Zeus Help - Display

Contents > Display
5. Display

5.1 Overview

Displays are used to represent your raw or converted data bus information on screen using a number of predefined 'page items'. Currently ZEUS only supports a basic set of page items, but more are planned for the future, including Gauges, Bars, Toggles and Graphs. Displays are made up of Page Groups which in turn are made up of Pages for organisational purposes only.

5.2 Page Groups

Page Groups are a collection of logically related Pages. A Page Group can be created from the Package Explorer Display tab by right clicking on the root package node and selecting 'Add Page Group...'. Page Groups have no particular properties and are simply used to group logical pages together, however it is possible to specify the starting number of pages from the Add Page Group dialog.

5.3 Pages

Display pages contain page items that make up your page design. Page properties include background colour, background image, default font and font colour for page items and also font and colour for labelled data bus objects (i.e. the label defaults for items which you 'drag' off the package explorer).

When editing pages you can have page items 'Snap to Grid' when moving or resizing them. Clicking on a page item on a page will select it and allow you to move or resize it, multiple page items can be selected by holding down the SHIFT button. Page Items can also be locked into place by right clicking on the page or page item and selecting the 'Lock...' menu item. All page items can be stacked on top of each other also, using the familiar 'Send to Back, and 'Bring to Front' context menu commands to alter a page item's stacked position. Cut, Copy and Paste routines also exist for duplicating or moving page items on the page or between different pages.

When a test is running it is not possible to change the properties of a page or it's page items, including moving and resizing. However, it is possible to change the page's view from INSTRUMENTATION (which is the default with all your page items) to TABULAR, which takes all your bound page items and presents them in a tabular form, together with other useful bits of information. Buttons along the top of the tabular view show the various data bus types that are present on your page and you can simply switch between data buses by hitting the appropriate button.

5.4 Page Items

Page items are the controls that are used to make up a pages (such as labels, textboxes, buttons etc.). Each page item has the following properties:

  • Foreground & Background colour
  • Font
  • Border colour and size
  • Text and Text Alignment
  • Enabled and Visible flags.

Page Items that are bound to data sources (i.e. your data bus data) can also have conditional formatting that allow the user to define conditions which, when met, change the appearance of the page item. Up to 16 different conditions can be defined and the following attributes can be modified: Background Colour, Foreground Colour, Border Colour, Font and the page item's visibility. To add conditional formatting to your page item simply load the page item dialog, click on the 'Formatting' tab and enter the details in the table below (be sure to check the 'Enable Conditional Formatting' checkbox when you're done.).

Other properties may exist depending on the type of page item. The supported pages items are described below:

5.4.1 Textbox

The Textbox page item provides a simple text box style interface to the data you wish to display and has extra properties for Tab Stop (whether to stop at this control when tabbing around the screen) and Tab Index (controls the order in which page items are navigated).

The only other extra properties are its properties page for selecting the linked data bus source object. Source objects can either be data items or data bus specific objects (labels, messages etc) which may or may not have various properties you can display. For example an ARINC 429 word can display its raw word value or its 'translated' SSM value.

If the data source to which the Textbox is bound contains a Parity Error, a small Red circle will appear in the top left corner of the text box. This can be suppressed at Page level by un-checking the 'Display Error Flags' attribute in the Page Properties.

5.4.2 Button

The Button page item can be used to perform a number of predefined functions when pressed. The supported functions can be defined on the 'Actions' tab in the property dialog. Any number of 'actions' can be defined using the Add, Delete and Update buttons next to the Actions List - supported actions include:

  • Change Set - Action changes the currently active set to the one specified as a parameter.
  • Goto Page - Loads and displays the page specified as a parameter.
  • Execute - Runs an executable specified as a parameter.
  • Show/Hide Page Item - Sets the visibility flag of a page item to true or false.
  • Start/Stop Logging - Starts or stops logging (if started the default log file name is used).
  • Change DataItem - Allows the setting of a dataitem to a specified value.

5.4.3 Label

The Label page item is used to simply label areas of your display. When dragging definition or transmit items from the package explorer a label item will automatically be created as well as a textbox item linked to your 'dragged' data bus element (the default format of this label is defined in the page properties).

5.4.4 Panel

A Panel page item object can be used to visually group together common page items by simply drawing a box around them.

5.4.5 Shape

The shape page item object can be used to organise your page items also, it provides vertical and horizontal lines for dividing up areas and also circles and rounded rectangles into which you can place textbox items which require special highlighting.

5.4.6 Picture

A Picture page item can be used to display an image file such as a company logo or instrument panel back drop. The extra Picture property tab allows you to specify the image file name and also its size mode: Normal - image appears in top left hand corner in its original size; Stretch - image is stretched to fit the page item's size; Centre - the image is centred in the middle of the page item's rectangle in its original size; Auto Size - the page item's size is altered to fit the image size; and Tile - the image is tiled in the page item's rectangle at its original size.

5.4.7 Chart

The chart page item object is the most complex within the Zeus application. It can be used to plot up to 8 different data bus elements in a chart style representation. It operates in much the same way as a normal page item apart from a few extra features.

To create a chart page item you must select it from the Page Editing toolbar and draw it on your page. You can then drag data bus elements onto the chart to create up to 8 different 'trace lines'. Scaling and colour of the trace lines will be done automatically based on the range of your selected data bus element and the chart's background colour.

Whilst the test is running you can click on each of the 'Traces' in the legend to change the Y axis to that of the selected trace (or by pressing 1-8 on the numeric keypad). It is also possible to pan the chart's trace area using the mouse, simply click and drag the mouse on the main chart area. Clicking and dragging on either of axis can cause the chart to pan in the appropriate direction also. If you want to zoom either of the axis simply hold CTRL whilst clicking and dragging the axis area.

Other context menu entries exist at runtime which allow you to enable tracking in either the X or Y axis, so that the chart automatically scrolls as new values become available. Also zoom functions exist that allow you to 'zoom out' to see all data points (Zoom All) or to 'zoom out' to see all data points on either the current X or Y axis (Zoom In View).

Please Note that using excessive Chart page items with multiple trace lines will require a fast CPU, unexpected results may occur if your CPU is too slow, try reducing the Update Rate frequency or the number of chart page items used.

5.4.8 LED

The LED page item object is used for displaying Boolean information. It has two states: 'Active' or 'Inactive', any data source object linked to an LED will be interpreted as Active if non zero and Inactive if zero. Various visual properties exist to govern the appearance of the LED including Active and Inactive colour, Bezel (the LED surround) properties and the LED shape.

If the data source to which the LED is bound contains a Parity Error, a small Red circle will appear in the centre of the LED. This can be suppressed at Page level by un-checking the 'Display Error Flags' attribute in the Page Properties.

5.5 Editing Page Items

ZEUS allows you to modify transmitted values during a test run by the editing of items on your display page or within your 'Set' tree structure.

During a test run it is possible to edit the values of text box page items which are linked to transmit item definitions (if present within a set, see Transmit). To achieve this simply hit return or double click on the appropriate page item and the edit dialog will appear (depending on the data bus type).

The Edit dialog presents the data in its raw form and as data items, defaulting to which ever the page item is linked to. The Source drop down at the top, lists the Sets in which this particular word appears (if it only appears once the drop down is hidden).

After making the changes, hitting 'Apply' or 'OK' will send the changes to the SOAR unit instantly (providing you changed an 'Active' set, else the changes have been applied but won't be sent to the unit until the Set becomes 'active').

5.6 Data View

The Data tab in the package explorer can be used to examine messages and data items that you have currently selected in your page display, search or custom add-in. Details of the selected message/data item are displayed in a list view as shown in the screen capture. When a test is not running the information will be 'greyed out'.

5.6 Mark Event

The mark event feature can be used to save an image of a display page at a particular moment in time. The mark event facility can be invoked in a number of ways during a Test: Tools > Mark Event; Page Viewing Toolbar or by hitting SPACE.

When an event has been initiated the dialog below appears, showing a thumbnail of the captured page and also description box where you can record what happened. This information is recorded in an log event file (.evt) found in your 'My Documents\ZEUS\Log' folder (the corresponding .gif image is stored in the 'My Documents\ZEUS\Captures').

You can use this information to include in your reports or analysis.


Zeus Help - Tools

Contents > Tools
6. Tools

6.1 Logging

Logging can be performed on all data bus types and is set on a 'per message' basis:

  • ARINC 429 - Label
  • ARINC 573/717 - Word
  • MIL-STD 1553 - Message

Each of the above data bus elements can be flagged for logging in their corresponding definitions property dialogs. Also the package explorer provides context menus at various levels in the definitions tree for flagging elements in one operation. The logging menu items include:

  • Log All Messages - Logs all data bus messages under the selected tree node.
  • Log All Defined - Logs all data bus messages that have been 'defined' (see Definitions) under the selected tree node.
  • Log Undefined - Logs all data bus messages that have not been 'defined' (see Definitions) under the selected tree node.
  • Log None - Deselects any messages that have been flagged for logging under the selected tree node.

Similarly the main menu provides a 'Logging' menu that allows you to select all or no data bus elements for logging across your entire package (all channels). Once you have flagged the messages you wish to log, you can then hit the 'Start Logging' button which will then prompt you for a file name for your new log file. Once entered, logging will begin.

Whilst logging you will notice that the status bar shows the logging status and duration. Logging can be started, stopped or paused similar to that of a test. Each time logging is stopped a new log file name will need to be specified. During logging data bus messages can be added or removed from the list of messages to be logged. Logging will have no effect on the running of a test and can be started and stopped at any time. 'Messages' can also be set for logging using the Search add-ins.

Conversion

When you have finished your logging exercise you will find a binary .log file that contains the data you have collected. This file can then be used for playback (see below) or for conversion into a more user friendly XML format. Log file conversion is performed by selecting 'Tools' > 'Log Analysis' from the main menu.

Once presented with the Log File Analysis dialog, select the log file you wish to convert and enter the name of the XML output file you wish to produce. Their are two types of conversion:

  • All - Converts every message received to XML.
  • Samples - Converts a snapshot or received messages at a predefined interval (specified in seconds).

Select the conversion type you wish to use and the type of information you wish to include in the XML (message number, channel number etc.). Finally you may wish to also include package information in the XML (i.e. data item values, data bus element names etc.), to do this specify the package file name you wish to use whilst converting the log file (it will default to the currently loaded package).

If you have defined any Event Triggers on your data items (or performed a manual Mark Event) then an associated Log Event file (.evt) will have been created. This will automatically be loaded on selection of your log file and will allow you to click on the various events, which will change the conversion start time, helping you to pinpoint areas of interest within your log file. If a manual event has been recorded a screen capture of the page will also be displayed, providing a visual prompt for the event.

One last stage before processing your log file is to Filter out unwanted data by selecting data filters which allow you to select which data bus elements you want to include in your conversion. After all this is complete you can hit the 'Process' button and depending on the duration of your log file the XML file will be produced for viewing or importing into other systems.

Note that you must filter or restrict your converted log file in order to avoid very large XML files. The ZEUS installation CD is supplied with a shareware copy of the 'V' file viewer for handling very large XML files.

Transformation

As the converted data is provided in the industry standard XML format, 'transformations' may be performed on your XML output files to convert them into formats suitable for importing into your systems, excel or simply to be better presented. The 'Tools' tab on the Log Analysis dialog allows you to transform your XML file into any format you require using what's called a 'Style Sheet' (an .xsl file). Documentation on creating .xsl files is available freely on the internet, but if you have a specific need contact us and we can create ones for you. A sample style sheet is provided for conversion of ARINC 429 data into a comma separated value (.csv) file, it can be found in the application install directory under \Samples\XSL Templates.

[see Guide 8]

6.2 Playback

Playback allows you to step through a previously recorded log file and display the results on screen as if the data was being received 'live' over a data bus. Log file playback can be performed by selecting 'Playback' > 'Configure Playback' from the menu or by displaying the playback toolbar and hitting the appropriate configuration button.

Firstly you must select the log file you wish to playback, once selected some summary information is displayed about the log file: its name, creation date, duration and size.

Once your log file has been selected it is then possible to use the Options and Filter tabs to alter the playback rate faster or slower than real time and also to provide times at which you want the playback to start and stop (a similar feature to Log Analysis above, lets you use a Log event file to navigate your log file and find times of interest). When all your playback settings have been configured you can then hit the 'Start Playback' button to begin playback. The display and control of the playback test is then similar to that of a normal test run.

6.3 Search

For each of the supported data bus types (ARINC 429, 573/717 and MIL-STD 1553) a corresponding search interface is provided to help you interrogate your data bus without any definitions. To load a search page go to 'Tools' > 'Search' and then select the data bus type you require.

Once loaded you will see an array of icons representing the elements of your chosen data bus type (i.e. for ARINC 429 a collection of labels, for MIL-STD 1553 a collection of RTs and their sub address for the various message types etc.). Selecting each icon will update the left hand display showing the details of your selected data bus element. When a test is running the icons that represent data bus elements which have activity, for example labels which have been received, will 'light up' indicating that there has been some data bus activity in this area and the user can see at a glance what label or RTs are active on the selected channel:

ARINC 429 Label Icons:

ARINC 573/717 Word Icons:

MIL-STD 1553 RT Icons:

The selected channel can be changed by selecting the channel name drop down at the top of the search page.

Search page add-ins also support the tabular view, similar to that of normal display pages, allowing you to see more detailed tabular information on your selected channel.

6.4 Custom Add-ins

Custom page add-ins can be created to implement specific needs when representing your databus information. Airflair has a wide range of tools for realising your schematics or flow diagrams in a custom display page, however, the ZEUS API provides some details on how to implement these pages yourself. Please contact us if you need further help in this area or for more information.

6.5 Options

The Options dialog can be found in the 'Tools' menu, under 'Options'. It provides some application level settings on the ZEUS environment, the list below describes each of the Option dialog's pages in detail:

  • General
    The General tab holds path information for the location of your package and log files. It also holds the registered user's name and a check box to indicate whether or not to show the splash screen when loading the application. Finally at the button of the page are two buttons for clearing the package and log file name 'recently used' histories.
  • Hardware
    The Hardware tab provides the user with some more information about the type of device currently connected and 'active' within the ZEUS software. The top half of the page consists of information regarding the currently selected device, the user may only select another connected device when all package files are closed and a test is not running. The bottom half of the page holds some statistics that may provide useful information on any USB problems and transfer counts.
  • Operation
    The Operation tab provides settings for configuring the way in which the application runs.

    The Fresh Threshold parameter is used to determine how old a data bus element (label, message etc.) can be before the display 'dims' it out and marks it as 'old'. This parameter is provided as a duration in milliseconds and if set to 0 will prevent all data bus elements from becoming 'old'.

    Custom Update value allows you to specify a particular interval for the page update rate in milliseconds (between 10 and 5000). A value of less than 100ms will require a fast CPU.

    The 'Auto Save' feature causes the package contents to be save every 15 minutes without user intervention (only applies to previously saved packages)

    The 'Persist Set Value Changes' flag determines whether changes to transmitted values via display pages are saved to the package when performing a Save operation. All other content is saved in the normal way.

    The 'Start with Logging Enabled' check box allows you to specify that logging will always be enabled when starting the application (a default log file name, based on the package name and timestamp, will be created).

    Next are some Page Default settings for the way in which new display pages are created and finally are three options for the way in which the 'Test Run Configuration' dialog is displayed when a test is started. The three options are 'First Time' - only show the dialog on first run of a a test; 'Always' - always show the dialog when starting a test; 'Never' - never show the dialog.

6.6 API

In order to programmatically control the setup and operation of your test, two levels of API (Application Programming Interface) exist to help you:

  • Classic API
    This is the low level C API that provides you access to device control, setting up transmit data, receiving incoming data (in raw form, no data item support), logging and test control. This API has no concept of the ZEUS Package file and requires you to define and control your test at a low level via a single DLL (soar.dll, a second convert.dll can also be used to perform data item conversion to engineering units if required). This method is particularly useful for integration into existing systems or basic, quick testing.

    The classic API documentation can be found on the ZEUS installation CD (CD:\Documentation\080500 TR002 VA SOAR API Interface v1.4.pdf)
  • ZEUS API
    The ZEUS API offers a higher level of abstraction and is built around Microsoft's .Net initiative. In essence the ZEUS application is built on top of this API and therefore it offers a very powerful set of objects for manipulating ZEUS package files, data item conversions, logging conversions & playback as well as all the features offered by the classic API interface.

    The ZEUS API documentation can be found on the ZEUS installation CD (CD:\Documentation\Airflair - Zeus Hardware 3.6 .Net API.chm)

For documentation on how to use these APIs please contact us.


Zeus Help - Further Help

Contents > Tools
7. Further Help

7.1 Support

Further help and support can be found on our website: www.airflair.co.uk/support

Alternatively you can contact our support team at support@airflair.co.uk or submit a question/problem report via our support pages: www.airflair.co.uk/support/contact.htm.

In order to assist the support process please attach the package you were working on and the diagnostics.txt file found in the <My Documents>\ZEUS\Log folder with your correspondence.

7.2 Demo

If you'd like to see the software in action we can arrange for a demonstration or even a copy of the software for you to try out. Please contact us.

7.3 Step by Step Guides

Step by Step guides and example packages are provided to help you understand the process of creating, defining and running a test for a particular databus types:

  • Guide 1 - Creating a package to receive, convert and display ARINC 429 Data.
  • Guide 2 - Setting up ARINC 429 Data Transmission.
  • Guide 3 - Creating a package to receive, convert and display ARINC 717 Data.
  • Guide 4 - Setting up ARINC 717 Data Transmission.
  • Guide 5 - Creating a package to receive, convert and display MIL-STD 1553 Data (Bus Monitor).
  • Guide 6 - Setting up the Bus Controller to transmit MIL-STD 1553 Data.
  • Guide 7 - Setting up the RT Emulator.
  • Guide 8 - Analysing Log Files.

Each of the guides (where appropriate) is accompanied with a sample package file, which can be found in a sub directory of the installation folder called '...\Samples\Packages'.


ZEUS Help


ZEUS Help - Home

Welcome to the ZEUS software on-line help,
supporting Airflair's SOAR range of USB databus analysers.

Contents

Getting Started

Introduction

Step by Step Guides

Data Definitions

Data Transmitting

Data Display

Tools

For further product information please visit our website at
www.airflair.co.uk


Zeus Help

Contents > SOAR MIL-STD 1553 Overview
SOAR MIL-STD 1553 Overview

The operation of the 1553 functions in our SOAR devices should be considered as being made up of three distinct elements:

Bus Monitor
Bus monitoring is always available for 1553 channels. If RT emulation is not in use then this is a pure bus monitor feature. It captures and can, in accordance with your package definition, display and log all the data on the bus or a defined sub-set of it. No output data is generated by this facility. If RT emulation is in use then the bus monitor also serves as the mechanism for capturing the data sent to the RT(s).

Bus Controller
For channels which support Bus Control this facility provides the Command Words which cause traffic to flow on the bus. The commands (and, as a result the messages themselves) are organised into Sets (for rapid control of widespread changes to bus activity) and Minor Cycles (to control the rate at which message blocks are repeated. In addition to transmitting the Command Words, the Bus Controller facility also provides the data (word) content of any BC to RT messages which are used.

RT Emulator
For channels which support RT emulation, this facility allows the data which is to be output from RT(s) to be defined. It also allows you to define whether the RT is to be emulated, on which bus half (or halves) of the dual redundant bus and what the status response for the RT(s) should be. Note that the status response definition relates to messages which are both received at the RT and transmitted from it. So, for RT emulation of a received message the Bus Monitor gets the data of the message from the bus, and the RT Emulator provides the appropriate status response. For RT Emulation of a transmitted message the RT emulator provides both the data words and the status response. Note that the RT Emulator has no control over when the messages take place; it simply does what the Bus Controller instructs it to do.

For channels which support all of these facilities (which are the most common types) they may be used in any combination. The Bus Monitor is always active. The Bus Controller can either be enabled or, when a `real' Bus Controller is active in the system being tested it must be disabled (or a `bus crash' will occur). Similarly, any or all RT emulations may be enabled/disabled, but where `real' RTs exist the emulations must be disabled.

Having all of these facilities simultaneously available in a single unit means that you can represent a complete, very complex, bus with just a single 1553 channel. You may wish to do this for early testing, when little or no real equipment is available, then progressively fit the real units and, at the same time, disable the emulations (including the Bus Controller where appropriate) Throughout this process the Bus Monitor is available to display and record system activity. Which ever parts of the system are being represented by your test system can have data changed in real time by control of single items on a display pages, Sets, or combinations of changes activated by button or hot key controls.


Zeus Help - Step by Step Guide 1

Contents > Step by Step Guides > Guide 1
Guide 1

Creating a package to receive, convert and display ARINC 429 Data

This guide takes you through the process of defining ARINC 429 receive data, converting it into engineering units and displaying it on the screen using the ZEUS software. The 'guide 1.zpa' package file can be loaded to demonstrate the steps taken in this guide, the actual definitions and data used bears no resemblance to real world affairs and is provided as an example only.

The following steps take you through the entire process:

  1. Definition
  2. Conversion
  3. Display
  4. More Information

Definition

Before you can do anything in the ZEUS (including transmitting and setting up display pages) you must first define the characteristics of your ARINC 429 data bus. This includes defining which channels and labels are in use and how they are interpreted. After creating your package and selecting which hardware the package is aimed at (see Getting Started) you will see the following screen:

For the purpose of this guide we have selected the 080510 device which has 4 receiver and 4 transmit channels, which can be seen listed in the package explorer tree on the left. Firstly, we'll start by renaming the Receiver channels to something more meaningful to the system which is being tested. Simply right click on each of the Rx channels [image] and select 'Rename' (or press F2) and enter a new name for the channel. Next we'll explore the remaining channel context menu which is accessed by right clicking on the channel in the package explorer:

  • Delete - This will delete the channel definition and all definitions beneath it.
  • Rename - Allows you to rename the channel.
  • Logging - Various logging commands - applied to labels at channel level.
  • Cut - Cuts the channel from the package for pasting elsewhere.
  • Copy - Copies the channel for pasting elsewhere.
  • Properties - Loads the properties dialog for the Rx channel.

We can at this stage define some labels for the Rx Channel 1 (Flight Computer), Expand the channel node and double click on label 002, this will load the Label Properties dialog:

Here we can enter a descriptive name for the Label (Wind Speed). There is also a check box to flag whether the label should be logged (if logging is started) and also space for defining SDI and SSM values (if used). You will also notice a Statistics tab at the top of the dialog, clicking on this will reveal more runtime information on the label which maybe useful during a test run. At this point we'll simply click OK to save that label definition. Next, we'll create a label with its SDI defined, follow the same process as above, specifying 'Engine Temp' octal '010', then click on the SDI Values check box. This will enable the four SDI value textboxes where you can specify the meaning of each of the SDI values (for the purpose of the example we'll choose the default Engine 1, 2, 3 & 4). Specifying SDI values allows you to display data from each of the Label's SDI values separately on screen and can also be used when transmitting data. Finally we'll create a label with some SSM values defined, follow the same procedure as above, specifying 'Altitude' octal '215' and then click on the SSM Values check box. This will enable the four SSM value textboxes where you can specify the meaning for each of the SSM values, we'll choose the predefined BNR values for 00 (Failure Warning) and 11 (Normal Operation) - the other values will be left as not set.

You should at this point have three labels defined as shown below, in order to hide labels which have not been defined press the 'F' key when the correct channel is selected:

The final task of the Definitions stage is to copy the label definitions of the Flight Computer to Rx Channel 3 channel. This can be done by copying the Flight Computer channel and pasting it on the 'Rx Channels' node, do the same with Rx Channel 4, then you can delete the old Rx Channel 3 and 4 and rename the new Flight Computer channel to Backup System.

Conversion

Once all the labels for each channel have been defined you can then start to define how each label will be 'converted' into engineering units for display purposes. Conversions are achieved by defining data items for each label, any number of data items can be defined for each label.

Right click on the 'Wind Speed' label to display the Label context menu and select 'Add Data Item...':

This will display the Add Data Item dialog box. By default the first data item will named identical to that of the Label. When specifying a data item you must first select a conversion type from the Conversion drop down. Various conversions are available (others can be developed upon request, contact us) including: 2's complement, Binary, BCD, Discrete, Hex etc. each has its own particular parameters using the 'Form', 'MSG Weight' and 'Precision' textboxes as appropriate (by experimenting with these values you will see the 'Range' indicator alter to help you get your conversion definition correct). You can also specify the units of measurement in the form of a string for the data item. At the bottom of the screen is the format of the data item with regard to the ARINC 429 label:

The MSB, LSB and Sign bits can be moved by clicking and dragging the appropriate numbered square, as indicated in the diagram above. If a label already has some defined data items these will appear shaded on the bar and maybe overlapped if required (although a suitable warning will be given). You may find that some conversion types (discrete, enum list etc.) have fixed data lengths and therefore the MSB and LSB cannot be moved independently. You also cannot define data items within the Parity, SSM, SDI or Label bit fields, for the sake of this demonstration we will define Hex values for the entire data word for each label:

You will notice from the diagram above that the 'Engine Temp' label has four extra tree nodes under the defined data item, this is due to the fact that this label has specified four SDI values.

Display

Once all definitions and conversions are complete you can then concentrate on displaying the data received on a display page. Firstly click on the Display Tab at the bottom of the Package Explorer:

Data Items can be displayed on the screen via 'Pages' and Pages can be grouped together in 'Page Groups'. By default a page group is created with a single page, named 'Instrument Panel 1'. Right click on the 'Page Group 1' tree node and select 'Add Page...', this shows the Add Page dialog where you can specify the page name and give it a background colour and specify the page item colours and font sizes. Name the page 'Instrument Panel 2' and hit OK, this will create a new page and open it in the space to the right of the package explorer:

Now we need to create some 'page items' to populate the page. A Page Item can be anything from a textbox to a button, in future other instrumentation types maybe used (contact us for more details).

To create a Page Item select one of the page item tools from the toolbar (see above) and 'draw' it on your page. Once drawn the page item control will appear and you can now alter its properties by double clicking on it or selecting it and pressing F4.

Enter a name for the page item and its text, unless bound to a data source (text boxes only). Select the data source tab and check the data source check box to allow selection of a data source. An easier approach to defining page items is to select the Data tab on the package explorer and simply drag a data item from the definitions tree onto the page, this will automatically link the page item to the data item and position it where you 'dropped' it, together with a suitable label page item.

The Page Item dialog contains some display settings for configuring the page item's colour and appearance. Depending on the type of page item you may also have an extra tab containing some page item type specific properties (see Display). The following page was created with an explanation of each of the items below:

Starting from top to bottom the following page items were created:

  1. Wind Speed (002)
  2. Engine Temp - Engine 1 (010/00)
  3. Altitude (215)
  4. Wind Speed (002)

At this stage you are ready to run your package (F5) and see the live data on your data bus.

More Information

For more indepth information on some of the other, more advanced, features of monitoring, please use the links below:

  1. Configuring your Display
  2. Logging
  3. Databus Search
  4. Transmitting or the Step by Step guide for transmitting


Zeus Help - Step by Step Guide 2

Contents > Step by Step Guides > Guide 2
Guide 2

Setting up ARINC 429 Data Transmission

This guide takes you through the process of defining ARINC 429 transmit data using the ZEUS software. The 'guide 2.xpa' package file can be loaded to demonstrate the steps taken in this guide, the actual definitions and data used bears no resemblance to real world affairs and is provided as an example only.

This guide follows on from Guide 1 and uses the package definitions as defined in 'guide 1.zpa'. In preparation, the definitions of Rx channel 1 (Flight Computer) are copied to Tx channel 1 in order to facilitate a loopback as shown below:

Firstly check the Transmit Chanel properties to ensure they are correct for the system you are testing, in either the Data or Transmit Definitions trees select the appropriate Tx channel and select 'Properties':

From here you can alter some of the Tx Channel parameters such as the flow speed (High or Low) and Transmit Speed in kbps. The Channel Type and Amplitude are currently not available. Click OK to save your changes.

To begin the Transmit definitions you first click on the Transmit Tab at the bottom of the Package Explorer. This will display all the transmit channels, notice the Flight Computer channel has been named appropriately. Next right click on the Tx Channel to display the Transmit context menu as shown:

All ARINC 429 transmit data is grouped into what we call a 'Set', each set can have its own group of data and label output structure and you are able to quickly switch between sets whilst a test is running to simulate the data changing (a maximum of 8 sets is permitted for each channel). Therefore, we must first create a Set, select 'Add Set...' from the context menu (or press the INS key), this will load the Add Set dialog:

At the top of the dialog we can give the set a meaningful name (Set 1), then we can select the duration (in milliseconds - 50ms) and number (2) of the minor cycles within the set. A set can be made up of 1 to 40 minor cycles of any duration up to 60 seconds. Other set parameters include the interword gap between each label and the default parity with which the labels are sent (Good, as shown above, or Bad). Finally the check box at the bottom of the screen flags the set as 'Active', i.e. the set with which transmission will start when a test is started.

You will see that transmit the tree now shows the new set and all of its minor cycles. Now its time to populate the minor cycles with some transmit items, right click on the minor cycle to show the context menu below:

The following menu choices are available:

  • Add Sequence Item... (or INS key) - Creates a new sequence item within the minor cycle.
  • Delete - Delete the currently selected minor cycle.
  • Clear - Clears the currently selected minor cycle of all defined transmit items.
  • Rename - Renames the minor cycle
  • Move - Moves the minor cycle position up or down one place (you can also use CTRL+UP ARROW to achieve this)

Firstly we shall create one transmit item in the first Minor Cycle, select 'Add Transmit Item...' to show the Add Transmit Item dialog box:

The Sequence Item Name is automatically created from the source label and need not be entered, then select the appropriate label from the source drop down. Upon selection any defined data items will appear in the table below together with a value box where you can enter the data item value to be transmitted (if you choose a label with no data items you can still enter the raw word value). You are also able to specify the SDI and SSM if the label has been defined as such, together with an individual parity setting, should you want the label to be different to that of the rest of the set's transmit labels.

To speed up the definition of transmit items and minor cycles you can also drag and drop between the definitions tree and the transmit tree. Click on the Transmit tab and drag it to one of the docking icons that appear so that both the definitions tree and transmit tree are side by side:

It is now possible to drag a Label, Data Item or SDI value onto a minor cycle and have it automatically create a transmit item for you. You can also move (click and drag) or copy (hold CTRL and click and drag) items between minor cycles on the same channel. Using this method we have created 5 new transmit items in minor cycle 2 as shown below:

Creating page items for transmit definitions/items can be done in exactly the same way as for the receivers, you can drag from either the definitions or transmit tree to create a page item as shown above. Page items which are linked to transmit item's (or indeed definitions which are being transmitted) serve two purposes: to show the value presently being transmitted and also allow it do be changed (via double click or the Edit... context menu).

More Information

For more indepth information on some of the other follow on activities, please use the links below:

  1. Configuring your Display
  2. Logging
  3. Databus Search
  4. Definitions or the Step by Step guide for receiving ARINC 429 data


Zeus Help - Step by Step Guide 3

Contents > Step by Step Guides > Guide 3
Guide 3

Creating a package to receive, convert and display ARINC 573/717 Data

This guide takes you through the process of defining ARINC 717 receive data, converting it into engineering units and displaying it on the screen using the ZEUS software. The 'guide 3.zpa' package file can be loaded to demonstrate the steps taken in this guide, the actual definitions and data used bears no resemblance to real world affairs and is provided as an example only.

The following steps take you through the entire process:

  1. Definition
  2. Conversion
  3. Display
  4. More Information

Definition

Before you can do anything in ZEUS (including transmitting and setting up display pages) you must first define the characteristics of your ARINC 573/717 data bus. This includes defining which channels and words are in use and how they are interpreted. After creating your package and selecting which hardware the package is aimed at (see Getting Started) you will see the following screen:

For the purpose of this guide we have selected the 080515 device which has 2 receiver and 2 transmit channels, which can be seen listed in the package explorer tree on the left. Firstly, we'll start by renaming the Receiver channels to something more meaningful to the system which is being tested. Simply right click on each of the Rx channels [image] and select 'Rename' (or press F2) and enter a new name for the channel. Once named correctly, we then need to modify the properties of each of the receiver channels, select 'Properties' from the channel context menu or press F4 after selecting the channel in the package explorer. The Channel Properties dialog will appear:

In the Channel Settings box you are able to specify the ARINC 573/717 Barker Codes (one for each sub frame) that are used for this receiver channel (in hex format) in order to decode the data bus correctly. You can also specify the word rate (in word per second) at which the data bus runs. Click OK to save your changes.

Next we'll explore the remaining channel context menu which is accessed by right clicking on the channel in the package explorer:

  • Delete - This will delete the channel definition and all labels defined beneath it.
  • Rename - Allows you to rename the channel.
  • Logging - Various logging commands - applied to words at channel level.
  • Cut - Cuts the channel from the package for pasting elsewhere.
  • Copy - Copies the channel for pasting elsewhere.
  • Properties - Loads the properties dialog for the Rx channel.

We can at this stage define some words for the Rx Channel 1 (Flight Computer), expand the channel node and sub frame node and select the word you wish to define. Hit F4 or select 'Properties' from the context menu, this will load the Word Properties dialog:

Here we can enter a descriptive name for the Word (Wind Speed). There is also a check box to flag whether the word should be logged (if logging is started).

You should at this point have three words defined as shown below:

To demonstrate the 'Drag n Drop' capabilities of ZEUS, the final task of the Definitions stage is to copy the word definition of the Flight Computer to the Backup System channel. This can be done by copying the Flight Computer channel and pasting it on the 'Rx Channels' node, do the same with Rx Channel 4, then you can delete the old Rx Channel 3 and 4 and rename the new Flight Computer channel to Backup System.

Conversion

Once all the words for each channel have been defined you can then start to define how each word will be 'converted' into to engineering units for display purposes. Conversions are achieved by defining data items for each word, any number of data items can be defined for each word.

Right click on the 'Wind Speed' word to display the Word context menu and select 'Add Data Item...':

This will display the Add Data Item dialog box. By default the first data item will named identical to that of the Word. When specifying a data item you must first select a conversion type from the Conversion drop down. Various conversions are available (others can be developed upon request, contact us) including: 2's compliment, Binary, BCD, Discrete, Hex etc. each has its own particular parameters using the 'Form', 'MSG Weight' and 'Precision' textboxes as appropriate (by experimenting with these values you will see the 'Range' indicator alter to help you get your conversion definition correct). You can also specify the units of measurement in the form of a string, for the data item. At the bottom of the screen is the format of the data item with regard to the ARINC 717 word:

The MSB, LSB and Sign bits can be moved by clicking and dragging the appropriate numbered square, as indicated in the diagram above. If a word already has some defined data items these will appear shaded on the bar and maybe overlapped if required (although a suitable warning will be given). You may find that some conversion types (discrete, enum list etc.) have fixed data lengths and therefore the MSB and LSB cannot be moved independently. For the sake of this demonstration we will define Hex values for the entire data word for each word:

Display

Once all definitions and conversions are complete you can then concentrate on displaying the data received on a display page. Firstly click on the Display Tab at the bottom of the Package Explorer:

Data Items can be displayed on the screen via 'Pages' and Pages can be grouped together in 'Page Groups'. By default a page group is created with a single page, named 'Instrument Panel 1'. Right click on the 'Page Group 1' tree node and select 'Add Page...', this show the Add Page dialog where you can specify the page name and give it a background colour and specify the page item colours and font sizes. Name the page 'Instrument Panel 2' and hit OK, this will create a new page and open it in the space to the right of the package explorer:

Now we need to create some 'page items' to populate the page. A Page Item can be anything from a textbox to a button, currently only textboxes can be used to display a data item, but in future other instrumentation types maybe used (contact us for more details).

To create a Page Item select one of the page item tools from the toolbar (see above) and 'draw' it on your page. Once drawn the page item control will appear and you can now alter its properties by double clicking on it or selecting it and pressing F4.

Enter a name for the page item and its text, unless bound to a data source (text boxes only). Select the data source tab and check the data source check box to allow selection of a data source. An easier approach to defining page items is to select the Data tab on the package explorer and simply drag a data item from the definitions tree onto the page, this will automatically link the page item to the data item and position it where you 'dropped' it, together with a suitable label page item.

At the bottom of the Page Item dialog are some display settings for configuring the page item's colour and appearance. The 'Properties' can also be used to configure page item's appearance and whether to show the caption or footer information. The following page was created with an explanation of each of the items below:

Starting from top to bottom the following page items were created:

  1. Wind Speed (002)
  2. Engine Temp (010)
  3. Altitude (215)
  4. Wind Speed (002)

At this stage you are ready to run your package and see the live data on your data bus.

More Information

For more indepth information on some of the other, more advanced, features of monitoring, please use the links below:

  1. Configuring your Display
  2. Logging
  3. Databus Search
  4. Transmitting or the Step by Step guide for transmitting


Zeus Help - Step by Step Guide 4

Contents > Step by Step Guides > Guide 4
Guide 4

Setting up ARINC 573/717 Data Transmission

This guide takes you through the process of defining ARINC 573/717 transmit data using the ZEUS software. The 'guide 4.zpa' package file can be loaded to demonstrate the steps taken in this guide, the actual definitions and data used bears no resemblance to real world affairs and is provided as an example only.

This guide follows on from Guide 3 and uses the package definitions as defined in 'guide 3.zpa'. In preparation, the definitions of Rx Channel 1 (Flight Computer) are exported and imported onto Tx Channel 1 in order to facilitate a loopback as shown below:

To begin the Transmit definitions you first click on the Transmit Tab at the bottom of the Package Explorer. This will display all the transmit channels, notice the Flight Computer channel has been named appropriately. Next right click on the Tx Channel to display the Transmit context menu as shown:

All ARINC 573/717 transmit data is grouped into what we call 'Set', each set can have its own group of word data and you are able to quickly switch between sets whilst a test is running to simulate the data changing (currently a maximum of 1 set is permitted for each channel). Therefore, we must first create a Set, select 'Add Set...' from the context menu (or press the INS key), this will load the Add Set dialog:

At the top of the dialog we can give the set a meaningful name (Set 1), then we can set the signal amplitude as a percentage and the transmission word rate (in words per second). Finally the check box at the bottom of the screen flags the set as 'Active', i.e. the set with which transmission will start when a test is started.

You will see that the transmit tree now shows the new set and 4 sub frames with 64 words in each as shown below:

Next we shall edit the third transmit item word (wind Speed) in the first Sub Frame, select 'Properties...' to show the Edit Transmit Item dialog box:

The Transmit Item Name is automatically created from the source word and need not be entered, then it is possible to change word select from the source drop down. Upon selection any defined data items will appear in the table below together with a value box where you can enter the data item value to be transmitted (if no data items are specified you can use the raw word value box). You are also able to specify a 'Sync Signal' for this word using some predefined values, this signal will appear on a separate pinout on the hardware when ever this word is transmitted (useful for deciphering the output signal). Instead of entering values for the word, you can also select the word to derive its value from a function, for example a basic Incrementing Count function is provided that increments a counter every time this word is transmitted (other functions can be provided if necessary, contact us).

To speed up the definition of transmit items and minor cycles you can also drag and drop between the definitions tree and the transmit tree. Click on the Transmit tab and drag it to one of the docking icons that appear so that both the definitions tree and transmit tree are side by side:

It is now possible to drag a Word definitions onto a transmit item, in order for that transmit item to use the linked word definition when calculating or displaying its data.

Creating page items for transmit definitions/items can be done in exactly the same way as for the receivers, you can drag from either the definitions or transmit tree to create a page item.

ble click or the Edit... context menu).

More Information

For more indepth information on some of the other follow on activities, please use the links below:

  1. Configuring your Display
  2. Logging
  3. Databus Search
  4. Definitions or the Step by Step guide for receiving ARINC 717 data


Zeus Help - Step by Step Guide 5

Contents > Step by Step Guides > Guide 5
Guide 5

Creating a package to receive, convert and display MIL-STD 1553 Data (Bus Monitor)

Please read our SOAR MIL-STD 1553 Overview to understand the basic features of our SOAR device's 1553 support.

This guide takes you through the process of defining MIL-STD 1553 receive data, converting it into engineering units and displaying it on the screen using the ZEUS software. The 'guide 5.zpa' package file can be loaded to demonstrate the steps taken in this guide, the actual definitions and data used bears no resemblance to real world affairs and is provided as an example only.

The following steps take you through the entire process:

  1. Definition
  2. Conversion
  3. Display
  4. More Information

Definition

Before you can do anything in ZEUS (including transmitting and setting up display pages) you must first define the characteristics of your MIL-STD 1553 data bus. This includes defining which channels, RTs and Messages are in use and how they are interpreted. After creating your package and selecting which hardware the package is aimed at (see Getting Started) you will see the following screen:

For the purpose of this guide we have selected the 080509 device which has 1 MIL-STD 1553 channel, which provides Bus Monitor, Bus Controller and RT Emulation facilities. You'll notice that under the channel node are 32 RTs which are created by default as part of the Bus Monitoring functionality. Firstly we'll explore the Channel context menu which is accessed by right clicking on the package node in the package explorer:

  • Delete - This will delete the channel definition and all definitions beneath it.
  • Rename - Allows you to rename the channel.
  • Logging - Various logging commands - applied to Messages at channel level.
  • Cut - Cuts the channel from the package for pasting elsewhere.
  • Copy - Copies the channel for pasting elsewhere.
  • Properties - Loads the properties dialog for the Channel (see Definitions for channel property details).

We can at this stage define some properties for our RTs, select the RT you wish to alter, right click on the RT node and select 'Properties'. This will load the Add RT Properties dialog:

Here we can enter a descriptive name for the RT (Flight Computer). When creating an RT you will notice that three nodes are created underneath the RT, representing Receive, Transmit and Mode Code Messages for that RT. This process should be repeated for all the RTs on your data bus that you are interested in. The following RTs were created:

When your RTs have been defined it is then time to define the messages within the RT. Using the Receive node on the Flight Computer RT to define an Rx Message, select the sub address you wish to define, hit F4 and display the Message Properties dialog box:

Here we can enter a descriptive name for the Message (Wind Speed). There is also a check box to flag whether the message should be logged (if logging is started). At this point we'll simply click OK to save that message definition. Next we'll create a transmit message, Engine Temp at sub address 10 on RT 10 and finally we'll create an Rx Mode Code on RT 2 and a TX Mode Code on RT 10, which will leave us with the following display:

Once all the messages have been defined, you must then define the words that are used to make up the messages. By default all messages are given 32 words which you can define, note that some Mode Codes only support a single data word. There are no properties available for data words, however it is possible to rename them to suit your data bus:

The final task of the Definitions stage is to copy an RT definition of the Flight Computer to the Backup System RT. This can be done by copying the RT definition of the Flight Computer (2) and pasting it onto RT (10). This will copy all RT and Message definition data.

Conversion

Once all the Messages and Words for each RT have been defined you can then start to define how each word will be 'converted' into to engineering units for display purposes. Conversions are achieved by defining data items for each word, any number of data items can be defined for each word.

Right click on the 'Wind Speed' message Word 1 to display the Word context menu and select 'Add Data Item...':

This will display the Add Data Item dialog box. By default the first data item will named identical to that of the Word. When specifying a data item you must first select a conversion type from the Conversion drop down. Various conversions are available (others can be developed upon request, contact us) including: 2's complement, Binary, BCD, Discrete, Hex etc. each has its own particular parameters using the 'Form', 'MSG Weight' and 'Precision' textboxes as appropriate (by experimenting with these values you will see the 'Range' indicator alter to help you get your conversion definition correct). You can also specify the units of measurement in the form of a string for the data item. At the bottom of the screen is the format of the data item with regard to the MIL-STD 1553 word:

The MSB, LSB and Sign bits can be moved by clicking and dragging the appropriate numbered square, as indicated in the diagram above. If a word already has some defined data items these will appear shaded on the bar and maybe overlapped if required (although a suitable warning will be given). You may find that some conversion types (discrete, enum list etc.) have fixed data lengths and therefore the MSB and LSB cannot be moved independently. You also cannot define data items within the Parity or Sync bit fields, for the sake of this demonstration we will define Hex values for the entire data word for each word:

Display

Once all definitions and conversions are complete you can then concentrate on displaying the data received on a display page. Firstly click on the Display Tab at the bottom of the Package Explorer:

Data Items can be displayed on the screen via 'Pages' and Pages can be grouped together in 'Page Groups'. By default a page group is created with a single page, named 'Instrument Panel 1'. Right click on the 'Page Group 1' tree node and select 'Add Page...', this show the Add Page dialog where you can specify the page name and give it a background colour and specify the page item colours and font sizes. Name the page 'Instrument Panel 2' and hit OK, this will create a new page and open it in the space to the right of the package explorer:

Now we need to create some 'page items' to populate the page. A Page Item can be anything from a textbox to a button, in future other instrumentation types maybe used (contact us for more details).

To create a Page Item select one of the page item tools from the toolbar (see above) and 'draw' it on your page. Once drawn the page item control will appear and you can now alter its properties by double clicking on it or selecting it and pressing F4.

Enter a name for the page item and its text, unless bound to a data source (text boxes only). Select the data source tab and check the data source check box to allow selection of a data source. An easier approach to defining page items is to select the Data tab on the package explorer and simply drag a data item from the definitions tree onto the page, this will automatically link the page item to the data item and position it where you 'dropped' it, together with a suitable label page item.

At the bottom of the Page Item dialog are some display settings for configuring the page item's colour and appearance. The 'Properties' can also be used to configure page item's appearance and whether to show the caption or footer information. The following page was created with an explanation of each of the items below:

Starting from top to bottom the following page items were created:

  1. Word 1 (RT 2, Rx SA 2, Word 0)
  2. Raw Word 1 (RT 2, Tx SA 10, Word 0)

At this stage you are ready to run your package and see the live data on your data bus (providing you have your databus hooked up to something which is transmitting the messages you've selected to display!).

More Information

For more indepth information on some of the other, more advanced, features of monitoring, please use the links below:

  1. Configuring your Display
  2. Logging
  3. Databus Search
  4. Bus Controlling and RT Emulation or the Step by Step guide for MIL-STD 1553 transmission


Zeus Help - Step by Step Guide 6

Contents > Step by Step Guides > Guide 6
Guide 6

Setting up the Bus Controller to transmit MIL-STD 1553 Data

Please read our SOAR MIL-STD 1553 Overview to understand the basic features of our SOAR device's 1553 support.

This guide takes you through the process of defining MIL-STD 1553 transmit data for a Bus Controller using the ZEUS software. The 'guide 6.zpa' package file can be loaded to demonstrate the steps taken in this guide, the actual definitions and data used bears no resemblance to real world affairs and is provided as an example only.

This guide follows on from Guide 5 and uses the package definitions as defined in 'guide 5.zpa'. To begin the Transmit definitions you first click on the Transmit Tab at the bottom of the Package Explorer. This will display the Bus Controller and RT Emulator configurations, if the channel has been flagged to support them:

All MIL-STD 1553 Bus Controller transmit data is grouped into what we call 'Sets', each set can have its own group of data and message output structure and you are able to quickly switch between sets whilst a test is running to simulate the data changing (an unlimited number of sets is permitted for each channel). Therefore, we must first create a Set, select 'Add Set...' from the context menu (or press the INS key), this will load the Add Set dialog:

At the top of the dialog we can give the set a meaningful name (Set 1), then we can select the minor cycle duration (in milliseconds - 20ms) and number (2) of the minor cycles within the set. A set can be made up of 1 to 40 minor cycles of any duration up to 60 seconds. Other set parameters include the intermessage gap which measures the time (in micro seconds) between each message. Finally the check box at the bottom of the screen flags the set as 'Active', i.e. the set with which transmission will start when a test is started.

You will see that transmit the tree now shows the new set and all of its minor cycles. Now its time to populate the minor cycles with some transmit items, right click on the minor cycle to show the context menu below:

The following menu choices are available:

  • Add Transmit Item... (or INS key) - Creates a new transmit item within the minor cycle.
  • Delete - Delete the currently selected minor cycle.
  • Clear - Clears the currently selected minor cycle of all defined transmit items.
  • Rename - Renames the minor cycle
  • Move - Moves the minor cycle position up/down one place (you can also use CTRL+UP/DOWN ARROW to achieve this)

Firstly we shall create one transmit item in the first Minor Cycle, select 'Add Transmit Item...' to show the Add Transmit Item dialog box:

The Transmit Item Name is automatically created from the source message(s) and need not be entered. A MIL-STD 1553 transmit item is defined in terms of a source and destination message. Firstly, select an appropriate message from the source/sa drop down (notice that source and destination drop downs have a 'Bus Controller' entry). Secondly, select the destination message. Once both source and destination messages have been selected then you can select the word count and the bus on which the message will appear. If the transmit item is a message from the Bus Controller then the usual value grid will appear and any defined data items will be shown together with a value box where you can enter the data item value to be transmitted.

For this example we will create the following messages:

  • Bus Controller to RT (2/2/1)
  • RT (10/10/32) to Bus Controller
  • RT(2/2/1) to RT(10/2/1)

To speed up the definition of transmit items and minor cycles you can also drag and drop between the definitions tree and the transmit tree. Click on the Transmit tab and drag it to one of the docking icons that appear so that both the definitions tree and transmit tree are side by side:

It is now possible to drag a Message or Data Item onto a minor cycle and have it automatically create a transmit item for you (Bus Controller to RT or RT to Bus Controller by default, depending on message direction). You can also move (click and drag) or copy (hold CTRL and click and drag) items between minor cycles on the same channel. Using this method we have created 2 new transmit items in minor cycle 2 as shown below:

Creating page items for transmit definitions/items can be done in exactly the same way as for the receivers, you can drag from either the definitions or transmit tree to create a page item.

More Information

For more indepth information on some of the other follow on activities, please use the links below:

  1. Configuring your Display
  2. Logging
  3. Databus Search
  4. Definitions or the Step by Step guide for receiving MIL-STD 1553 data (Bus Monitoring)
  5. RT Emulation


Zeus Help - Step by Step Guide 7

Contents > Step by Step Guides > Guide 7
Guide 7

Setting up the RT Emulator

Please read our SOAR MIL-STD 1553 Overview to understand the basic features of our SOAR device's 1553 support.

This guide takes you through the process of defining MIL-STD 1553 transmit data for the RT emulator using the ZEUS software. The 'guide 7.zpa' package file can be loaded to demonstrate the steps taken in this guide, the actual definitions and data used bears no resemblance to real world affairs and is provided as an example only.

This guide follows on from Guide 6 and uses the package definitions as defined in 'guide 6.zpa'. To begin the Transmit definitions you first click on the Transmit Tab at the bottom of the Package Explorer. This will display the Bus Controller and RT Emulator configurations, if the channel supports them:

Expand the RT Emulator node and you will see a list of the channel's RTs, select an RT and hit F4, this will load the RT dialog where you can alter it's emulation settings:

The RT dialog has some parameters of the emulated RT: the Bus Emulation Status determines which Bus half the RT is emulated on A, B, A & B or none (disabled); the Status Response area allows you to configure the various bits of the status word that this RT produces and finally the RT Parameters allow you to set a wrap around sub address and a flag to indicate if this RT will accept dynamic Bus Control (see the MIL-STD 1553 for more details on these advanced features). For this demonstration we will create two emulated RTs (2 & 10) with the default settings:

All MIL-STD 1553 RT Emulated transmit data is grouped into what we call 'Set', each set can have its own group of data and you are able to quickly switch between sets whilst a test is running to simulate the data changing (an unlimited number of sets is permitted for each RT). Therefore, we must first create a Set, press the INS key to create an Emulated RT set, enter its name and press OK (it has no specific parameters). Next we need to edit the data with which the RT will emulate, expand the set node to display all the RT's Tx Messages for emulation:

Finally we can add the data values for the emulation by right clicking on the appropriate message and selecting 'Properties' (or press F4). This will load the Emulated RT Message Data Properties dialog where you have enter values for all the message's data word in raw form or using any defined data items for the message.

We can now load the data values to be output at the start of the test (when emulating) and run the test.

More Information

For more indepth information on some of the other follow on activities, please use the links below:

  1. Configuring your Display
  2. Logging
  3. Databus Search
  4. Definitions or the Step by Step guide for receiving MIL-STD 1553 data (Bus Monitoring)
  5. Bus Controller


Zeus Help - Step by Step Guide 8

Contents > Step by Step Guides > Guide 8
Guide 8

Analysing Log Files

Log files can be created to record the activity of a particular device and its data bus activity. Logging can be set to record any number of data bus parameters for any duration, although it is good practise to filter your logging, in terms of the number of elements and time frame, to the specific area you're working in. This avoids large output files which are slower and more cumbersome to work with.

The following steps take you through the entire logging process (for any data bus):

  1. Setup logging
  2. Start logging
  3. During logging
  4. Stop logging
  5. Exporting log files
  6. Transforming log files

Setup Logging

Initially logging can be setup within ZEUS during the data definition stages. When creating the following data bus elements you can flag whether you want that element to be logged or not by default:

  • ARINC 429 Label
  • ARINC 717 Word
  • MIL-STD 1553 Message

The properties page on each of the above objects contains a 'Logged' checkbox which can be checked if you require logging for this element.

Various logging menu items exist in the Package Explorer to help you log specific messages, the main logging menu allows you to perform the following actions:

  • Log All - Logs everything on the device.
  • Log None - Deselects all elements flagged for logging.

The Test Configuration dialog also gives you the option of logging all messages just before starting a test, this can be useful if you're not sure which elements are active on your data bus. Leaving this check box unchecked will result in the test using any previously defined logging parameters. Each page display item can also be flagged for logging by viewing the properties panel and checking the 'Logged' checkbox (this automatically checks the underlying data bus element).

The Search add-in has a few extra set of Logging menu items which include:

  • Current Channel > Log All - Logs all elements on the currently selected channel
  • Current Channel > Log None - Deselects all elements flagged for logging on the selected channel.
  • Active Items > Log All - Logs only the elements which are currently active (i.e. data has already been received)
  • Active Items > Log None - Deselects all elements which are currently active.
  • Show Log Check Boxes - Displays the checkboxes which indicates which elements are flagged for logging in the main Search page display.

Start Logging

To start logging in ZEUS, click on the 'Start Logging' toolbar button [image] or use the Logging menu. This will prompt you to enter a Log File name using a standard windows dialog with the default folder being: <My Documents>\Zeus\Log. Log files have a .log extension. Once entered your setup is primed to start logging when the test is started or, if already started, logging will begin immediately.

It is possible start the logging by default within ZEUS (a timestamp generated filename is given to the log file upon creation). Within the application go to Tools > Options > Operation tab and check the 'Start with Logging Enabled' checkbox.

During Logging

Whether a test is running or not, logging can be altered to select or deselect extra elements in the various methods as described in Setup Logging.

During logging you will also notice at the bottom of the Runtime and Search applications, in the status bar, an area where the logging time given (2nd panel):

This indicates that logging is enabled and the duration for which its been running (HH:MM:SS.MS).

Stop Logging

Logging can be stopped at any time by pressing the 'Stop Logging' toolbar button [image] or use the Logging menu. This will cease logging for the test and close the log file. When stopping a test, logging is automatically stopped. Once stopped, log files cannot be appended to and a new log file must be created.

Exporting Log Files

The native Zeus log file is a compressed binary format file. In order make the file more accessible and useable by the user tools are provided to convert the log file (or parts thereof) to a more flexible XML format. To do this, open the Log Analysis dialog from any of the applications (Tools > Log Analysis) and go to the 'General' tab:

Select or enter the ZEUS log file name in the first box, the second box will populate with a default name for the XML output file (the same as the log file but with a .xml extension), change as necessary. If a valid Zeus log file is selected, the 'Selected Log File Information' box will fill with various bits of information about that log file (i.e. Duration, file size etc.).

At this point it is possible to hit the 'Process...' button and convert the log file with the default options and filters. This will display a progress dialog whilst the conversion takes place and you are then able to view the XML output file.

Should you wish to alter some of the conversion options, hit the 'Options' tab:

There are two types of conversion: All and Sampled. 'All' converts every logged element to XML, where as 'Sampled' runs through the log file (at the rate specified) and takes a snap shot of all elements that have received data at that specific time. Choose your conversion type by clicking on the radio buttons at the top of the dialog, if you choose 'Sampled' then you can also enter a sample rate (in seconds) next to the 'Sampled' radio button.

The conversion format can be configured by including or excluding various bits of information within the XML:

  • 'Include Message Numbers' - Includes a sequential numbering of each element received.
  • 'Include Channel Number' - Includes then channel number for each element.
  • 'Include Message Count' - Includes the message count for each element.

If you wish to export data item conversions, element names and other package information within the XML then you will need to load a package to be used in the conversion process. Simply tick the 'Use Package Definition' box and select the appropriate package for the log file selected. The package definitions will only load if the relative channels exists in the log file.

The Time tab allows you to specify the 'Start' time and 'Duration' (in seconds) of the log file segment you wish to convert, or alternatively tick the 'Analyse All' button which ensures that the entire log file is converted.

Alternatively, if a log event file has been created as the result of data item triggers or a manual event marker, then you can use the event data to adjust the start time, simply by clicking on the event.

Should you wish to alter some of the conversion filters, hit the 'Filter' tab:

The various data bus filters allow you to include or exclude various element types. The following elements can be filtered for the various data bus types:

  • MIL-STD 1553 - The filter button allows you to filter the data by RT. All RTs are shown but you can select which ones you want to convert to XML.
  • ARINC 429 - The filter button allows you to filter the data by Label. All Labels are shown but you can select which ones you want to convert to XML.
  • ARINC 717 - The filter button allows you to filter the data by Word. All Words are shown but you can select which ones you want to convert to XML.

Transforming Log Files

Although the XML format is portable and human readable to some extent, it may be necessary to 'transform' the exported XML into another format, for importing into another system or to simply display the data in a different way. The 'Log Analysis' transformation tools allow you to do this by taking an XSL Template file and transforming the XML into a user definable format.

To do this, open the Log Analysis dialog from any of the applications (Tools > Log Analysis) and go to the 'Tools' tab:

Select the XML file you wish to transform, select the XSL transformation template file and enter a file name for the output. Once all the necessary files have been specified hit the 'Transform...' button and the output file will be filled with data, in a format as specified by the transformation file.

A sample transformation file is provided ('<application folder>\Samples\XSL Templates') which converts ARINC 429 data into a CSV style format for importing into a spreadsheet.

This help file does not go into the details of the XSL Template file syntax, but suffice to say, this a well documented standard, the details of which can be found on the web (www.w3.org). We can also write these transformation files ourselves, contact support@airflair.co.uk for more information.